=== debian/control ===
Source: smokekde
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.11),
               libakonadi-dev,
               libattica-dev,
               libqt4-opengl-dev,
               libsmokeqt4-dev (>= 4:4.11),
               libsoprano-dev,
               libx11-dev,
               nepomuk-core-dev,
               okular-dev (>= 4:4.11),
               pkg-config,
               pkg-kde-tools (>= 0.6.8),
               shared-desktop-ontologies,
               smoke-dev-tools (>= 4:4.11)
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
Vcs-Git: git://anonscm.debian.org/git/pkg-kde/kde-sc/smokekde.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokekde.git;a=summary

Package: libsmokekdecore4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KDE Core SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE Core parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekdeui4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KDE Ui SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE User Interface parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekfile3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KFile SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KFile parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekparts3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KParts SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KParts parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokektexteditor3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KTextEditor SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE KTextEditor parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekutils3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KUtils SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KUtils parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesolid3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Solid SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Solid parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeattica3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Attica SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Attica parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekhtml3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KHTML SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KHTML parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekio3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KIO SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KIO parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff2-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KNewStuff2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v2 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff3-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: KNewStuff3 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v3 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeokular3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Okular SMOKE bindings
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Okular parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeplasma3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Plasma SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Plasma parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeakonadi3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Akonadi SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Akonadi parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomuk3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Nepomuk SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomukquery3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Nepomuk Query SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk Query parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesoprano3
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoclient3
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Client SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano client parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoserver3
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Server SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano server parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde4-dbg
Section: debug
Depends: libsmokekdecore4-3 (= ${binary:Version}), ${misc:Depends}
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: KDE SMOKE libraries -- debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for the KDE SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde-dev
Section: libdevel
Depends: libsmokeqt4-dev, smoke-dev-tools, ${misc:Depends}, ${so:Depends}
Architecture: any
Description: KDE SMOKE libraries -- development files
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE SMOKE development files.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.
