## smokekde 4.14.3

=== debian/changelog ===
smokekde (4:4.14.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused nepomuk-core-dev build dependency.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Jun 2016 07:17:16 +0200

smokekde (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Sep 2015 23:39:53 -0400
