=== debian/control ===
--- 
+++ 
@@ -17,16 +17,15 @@
                libsmokeqt4-dev (>= 4:4.11),
                libsoprano-dev,
                libx11-dev,
-               nepomuk-core-dev,
                okular-dev (>= 4:4.11),
                pkg-config,
                pkg-kde-tools (>= 0.6.8),
                shared-desktop-ontologies,
                smoke-dev-tools (>= 4:4.11)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
-Vcs-Git: git://anonscm.debian.org/git/pkg-kde/kde-sc/smokekde.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokekde.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/smokekde.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/smokekde.git/
 
 Package: libsmokekdecore4-3
 Depends: ${misc:Depends}, ${shlibs:Depends}
